Subject: Re: [PATCH v2 net-next 0/7] selftests: net: Switch pmtu.sh to use the internal ovs script.

From: Aaron Conole <[email-masked]>
Date: Sun, 23 Jun 2024 15:26:59 -0400

Jakub Kicinski <[email-masked]> writes:

> On Thu, 20 Jun 2024 08:55:54 -0400 Aaron Conole wrote:
>> This series enhances the ovs-dpctl utility to provide support for set()
>> and tunnel() flow specifiers, better ipv6 handling support, and the
>> ability to add tunnel vports, and LWT interfaces.  Finally, it modifies
>> the pmtu.sh script to call the ovs-dpctl.py utility rather than the
>> typical OVS userspace utilities.
>
> Thanks for the work! 
>
> Looks like the series no longer applies because of other changes
> to the kernel config. Before it stopped applying we got some runs,
> here's what I see:
>
> https://netdev-3.bots.linux.dev/vmksft-net/results/648440/3-pmtu-sh/stdout
>
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS vxlan4: PMTU exceptions                             [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS vxlan4: PMTU exceptions - nexthop objects           [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS vxlan4: PMTU exceptions                             [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS vxlan4: PMTU exceptions - nexthop objects           [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS vxlan6: PMTU exceptions                             [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS vxlan6: PMTU exceptions - nexthop objects           [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS vxlan6: PMTU exceptions                             [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS vxlan6: PMTU exceptions - nexthop objects           [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS geneve4: PMTU exceptions                            [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS geneve4: PMTU exceptions - nexthop objects          [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS geneve4: PMTU exceptions                            [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS geneve4: PMTU exceptions - nexthop objects          [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS geneve6: PMTU exceptions                            [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv4, OVS geneve6: PMTU exceptions - nexthop objects          [FAIL]
> # Cannot find device "ovs_br0"
> # TEST: IPv6, OVS geneve6: PMTU exceptions                            [FAIL]
> # Cannot find device "ovs_br0"
>
> Any idea why? Looks like kernel config did include OVS, perhaps we need
> explicit modprobe now? I don't see any more details in the logs.

Strange.  I expected that the module should have automatically been
loaded when attempting to communicate with the OVS genetlink family
type.  At least, that is how it had been working previously.

I'll spend some time looking into it and resubmit a rebased version.
Thanks, Jakub!